import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import {EinkaufszettelComponent} from "./components/einkaufszettel1/einkaufszettel.component";
import {HomeComponent} from "./components/home/home.component";
import {AboutComponent} from "./components/about/about.component";

const routes: Routes = [
  { path: '', redirectTo: 'home', pathMatch: 'full'},
  { path: 'home', component: HomeComponent},
  { path: 'Einkaufszettel',
    children: [
      { path: '1', component: EinkaufszettelComponent},
      { path: '2', component: EinkaufszettelComponent} ]},
  { path: 'about', component: AboutComponent},

  { path: '**', redirectTo: 'home'}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
